[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: newer diff files

Le Sun, Jun 20, 1999 at 05:54:35PM -0700, Darren/Torin/Who Ever... écrivait:
> Oh, the ftp/http area is:
> http://www.daft.com/pub/debian/perl/experimental
> ftp://www.daft.com/pub/debian/perl/experimental

That's the second time you give a bad URL. :-)

It's on ftp://ftp.daft.com/pub/debian/experimental.

[tests of perl packages]

I've made some serious tests about DB_File in perl-5.004 and indeed it
does use DB 2.X, the fact that perl was linked with both libdb.so.2 and
libdb.so.3 is certainly the cause.

In order to correct this I looked what caused the link of perl
with libdb.so.3, it's because perl is linked with -lndbm.

So I removed ndbm from libswanted in Configure and rebuilt them and it
corrected the problem, I now have perl-5.004 that does create db1.x
db with DB_File.

With this little change perl-5.004 does successfully pass all the
tests (including the 65'th of lib/db-btree.t). There is no need
to comment any test on perl-5.004 source package.

And I checked in perl-5.005 source for this test and found this :
$status = $X->get('y', $value) ;
ok(65, 1) ; # hard-wire to always pass. the previous test ($status == 1)
            # only worked because of a bug in 1.85/6

So the previous fail was the result of a bug in libdb1 that we didn't use
even if we wanted to. :-)

Everything else seems good. An apt upgrade causes no problem, 
there is no need of any --force options.

I also installed perl-5.005 and installed it without problems with
--force-conflicts (I did not want to remove perl since there are many
dependencies on it).

Hertzog Raphaël >> 0C4CABF1 >> http://prope.insa-lyon.fr/~rhertzog/

Reply to: